IPP Software Navigation Tools IPP Links Communication Pan-STARRS Links

Changeset 1786


Ignore:
Timestamp:
Sep 10, 2004, 1:42:18 PM (22 years ago)
Author:
desonia
Message:

first working version

Location:
trunk/psModules
Files:
9 edited

Legend:

Unmodified
Added
Removed
  • trunk/psModules/Makefile.in

    r1779 r1786  
    100100F77 = @F77@
    101101FFLAGS = @FFLAGS@
     102GSL_CONFIG = @GSL_CONFIG@
    102103INSTALL_DATA = @INSTALL_DATA@
    103104INSTALL_PROGRAM = @INSTALL_PROGRAM@
  • trunk/psModules/configure

    r1779 r1786  
    464464#endif"
    465465
    466 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBOBJS LTLIBOBJS'
     466ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL GSL_CONFIG LIBOBJS LTLIBOBJS'
    467467ac_subst_files=''
    468468
     
    10371037  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
    10381038  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    1039   --with-psLib            Specify location of psLib files
    1040   --with-sla              Specify location of SLA.
    1041   --with-psLib-includes   Specify location of psLib header files
    1042   --with-psLib-lib        Specify location of psLib library file
    10431039  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
    10441040  --with-pic              try to use only PIC/non-PIC objects [default=use
     
    10461042  --with-tags[=TAGS]
    10471043                          include additional configurations [automatic]
     1044  --with-psLib=DIR        Specify location of psLib files
     1045  --with-sla=DIR          Specify location of SLA.
     1046  --with-cfitsio=DIR      Specify location of CFITSIO.
     1047  --with-fftw3=DIR        Specify location of FFTW version 3.
     1048  --with-gsl=DIR          Specify location of GSL.
    10481049
    10491050Some influential environment variables:
     
    30343035
    30353036
     3037
     3038
    30363039CFLAGS="${CFLAGS=} -g2 -Wall -std=c99 -D_GNU_SOURCE"
    3037 
    3038 
    3039 # Check whether --with-psLib or --without-psLib was given.
    3040 if test "${with_psLib+set}" = set; then
    3041   withval="$with_psLib"
    3042 
    3043 CFLAGS="$CFLAGS -I$withval/include"
    3044 LDFLAGS="$LDFLAGS -L$withval/lib"
    3045 psLib_prefix=$withval
    3046 
    3047 fi;
    3048 
    3049 
    3050 # Check whether --with-sla or --without-sla was given.
    3051 if test "${with_sla+set}" = set; then
    3052   withval="$with_sla"
    3053 
    3054 CFLAGS="$CFLAGS -I$withval/include"
    3055 SLA_LINK = `$withval/bin/sla_link`
    3056 LDFLAGS="$LDFLAGS $SLA_LINK"
    3057 psLib_prefix=$withval
    3058 
    3059 fi;
    3060 
    3061 
    3062 # Check whether --with-psLib-includes or --without-psLib-includes was given.
    3063 if test "${with_psLib_includes+set}" = set; then
    3064   withval="$with_psLib_includes"
    3065   \
    3066     CFLAGS="$CFLAGS -I$withval"
    3067 fi;
    3068 
    3069 
    3070 # Check whether --with-psLib-lib or --without-psLib-lib was given.
    3071 if test "${with_psLib_lib+set}" = set; then
    3072   withval="$with_psLib_lib"
    3073   \
    3074     LDFLAGS="$LDFLAGS -L$withval"
    3075 fi;
    3076 
    30773040
    30783041# Find a good install program.  We prefer a C program (faster),
     
    31543117
    31553118test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
    3156 
    31573119
    31583120# Check whether --enable-shared or --disable-shared was given.
     
    37643726*-*-irix6*)
    37653727  # Find out which ABI we are using.
    3766   echo '#line 3766 "configure"' > conftest.$ac_ext
     3728  echo '#line 3728 "configure"' > conftest.$ac_ext
    37673729  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    37683730  (eval $ac_compile) 2>&5
     
    53315293
    53325294# Provide some information about the compiler.
    5333 echo "$as_me:5333:" \
     5295echo "$as_me:5295:" \
    53345296     "checking for Fortran 77 compiler version" >&5
    53355297ac_compiler=`set X $ac_compile; echo $2`
     
    63656327   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    63666328   -e 's:$: $lt_compiler_flag:'`
    6367    (eval echo "\"\$as_me:6367: $lt_compile\"" >&5)
     6329   (eval echo "\"\$as_me:6329: $lt_compile\"" >&5)
    63686330   (eval "$lt_compile" 2>conftest.err)
    63696331   ac_status=$?
    63706332   cat conftest.err >&5
    6371    echo "$as_me:6371: \$? = $ac_status" >&5
     6333   echo "$as_me:6333: \$? = $ac_status" >&5
    63726334   if (exit $ac_status) && test -s "$ac_outfile"; then
    63736335     # The compiler can only warn and ignore the option if not recognized
     
    65986560   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    65996561   -e 's:$: $lt_compiler_flag:'`
    6600    (eval echo "\"\$as_me:6600: $lt_compile\"" >&5)
     6562   (eval echo "\"\$as_me:6562: $lt_compile\"" >&5)
    66016563   (eval "$lt_compile" 2>conftest.err)
    66026564   ac_status=$?
    66036565   cat conftest.err >&5
    6604    echo "$as_me:6604: \$? = $ac_status" >&5
     6566   echo "$as_me:6566: \$? = $ac_status" >&5
    66056567   if (exit $ac_status) && test -s "$ac_outfile"; then
    66066568     # The compiler can only warn and ignore the option if not recognized
     
    66586620   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    66596621   -e 's:$: $lt_compiler_flag:'`
    6660    (eval echo "\"\$as_me:6660: $lt_compile\"" >&5)
     6622   (eval echo "\"\$as_me:6622: $lt_compile\"" >&5)
    66616623   (eval "$lt_compile" 2>out/conftest.err)
    66626624   ac_status=$?
    66636625   cat out/conftest.err >&5
    6664    echo "$as_me:6664: \$? = $ac_status" >&5
     6626   echo "$as_me:6626: \$? = $ac_status" >&5
    66656627   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    66666628   then
     
    79927954  case "$host_cpu" in
    79937955  x86_64*|s390x*|powerpc64*)
    7994     echo '#line 7994 "configure"' > conftest.$ac_ext
     7956    echo '#line 7956 "configure"' > conftest.$ac_ext
    79957957    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    79967958  (eval $ac_compile) 2>&5
     
    88638825  lt_status=$lt_dlunknown
    88648826  cat > conftest.$ac_ext <<EOF
    8865 #line 8865 "configure"
     8827#line 8827 "configure"
    88668828#include "confdefs.h"
    88678829
     
    89618923  lt_status=$lt_dlunknown
    89628924  cat > conftest.$ac_ext <<EOF
    8963 #line 8963 "configure"
     8925#line 8925 "configure"
    89648926#include "confdefs.h"
    89658927
     
    1114011102   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1114111103   -e 's:$: $lt_compiler_flag:'`
    11142    (eval echo "\"\$as_me:11142: $lt_compile\"" >&5)
     11104   (eval echo "\"\$as_me:11104: $lt_compile\"" >&5)
    1114311105   (eval "$lt_compile" 2>conftest.err)
    1114411106   ac_status=$?
    1114511107   cat conftest.err >&5
    11146    echo "$as_me:11146: \$? = $ac_status" >&5
     11108   echo "$as_me:11108: \$? = $ac_status" >&5
    1114711109   if (exit $ac_status) && test -s "$ac_outfile"; then
    1114811110     # The compiler can only warn and ignore the option if not recognized
     
    1120011162   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1120111163   -e 's:$: $lt_compiler_flag:'`
    11202    (eval echo "\"\$as_me:11202: $lt_compile\"" >&5)
     11164   (eval echo "\"\$as_me:11164: $lt_compile\"" >&5)
    1120311165   (eval "$lt_compile" 2>out/conftest.err)
    1120411166   ac_status=$?
    1120511167   cat out/conftest.err >&5
    11206    echo "$as_me:11206: \$? = $ac_status" >&5
     11168   echo "$as_me:11168: \$? = $ac_status" >&5
    1120711169   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1120811170   then
     
    1171111673  case "$host_cpu" in
    1171211674  x86_64*|s390x*|powerpc64*)
    11713     echo '#line 11713 "configure"' > conftest.$ac_ext
     11675    echo '#line 11675 "configure"' > conftest.$ac_ext
    1171411676    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1171511677  (eval $ac_compile) 2>&5
     
    1258212544  lt_status=$lt_dlunknown
    1258312545  cat > conftest.$ac_ext <<EOF
    12584 #line 12584 "configure"
     12546#line 12546 "configure"
    1258512547#include "confdefs.h"
    1258612548
     
    1268012642  lt_status=$lt_dlunknown
    1268112643  cat > conftest.$ac_ext <<EOF
    12682 #line 12682 "configure"
     12644#line 12644 "configure"
    1268312645#include "confdefs.h"
    1268412646
     
    1350713469   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1350813470   -e 's:$: $lt_compiler_flag:'`
    13509    (eval echo "\"\$as_me:13509: $lt_compile\"" >&5)
     13471   (eval echo "\"\$as_me:13471: $lt_compile\"" >&5)
    1351013472   (eval "$lt_compile" 2>conftest.err)
    1351113473   ac_status=$?
    1351213474   cat conftest.err >&5
    13513    echo "$as_me:13513: \$? = $ac_status" >&5
     13475   echo "$as_me:13475: \$? = $ac_status" >&5
    1351413476   if (exit $ac_status) && test -s "$ac_outfile"; then
    1351513477     # The compiler can only warn and ignore the option if not recognized
     
    1356713529   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1356813530   -e 's:$: $lt_compiler_flag:'`
    13569    (eval echo "\"\$as_me:13569: $lt_compile\"" >&5)
     13531   (eval echo "\"\$as_me:13531: $lt_compile\"" >&5)
    1357013532   (eval "$lt_compile" 2>out/conftest.err)
    1357113533   ac_status=$?
    1357213534   cat out/conftest.err >&5
    13573    echo "$as_me:13573: \$? = $ac_status" >&5
     13535   echo "$as_me:13535: \$? = $ac_status" >&5
    1357413536   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1357513537   then
     
    1488114843  case "$host_cpu" in
    1488214844  x86_64*|s390x*|powerpc64*)
    14883     echo '#line 14883 "configure"' > conftest.$ac_ext
     14845    echo '#line 14845 "configure"' > conftest.$ac_ext
    1488414846    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1488514847  (eval $ac_compile) 2>&5
     
    1562215584   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1562315585   -e 's:$: $lt_compiler_flag:'`
    15624    (eval echo "\"\$as_me:15624: $lt_compile\"" >&5)
     15586   (eval echo "\"\$as_me:15586: $lt_compile\"" >&5)
    1562515587   (eval "$lt_compile" 2>conftest.err)
    1562615588   ac_status=$?
    1562715589   cat conftest.err >&5
    15628    echo "$as_me:15628: \$? = $ac_status" >&5
     15590   echo "$as_me:15590: \$? = $ac_status" >&5
    1562915591   if (exit $ac_status) && test -s "$ac_outfile"; then
    1563015592     # The compiler can only warn and ignore the option if not recognized
     
    1585515817   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1585615818   -e 's:$: $lt_compiler_flag:'`
    15857    (eval echo "\"\$as_me:15857: $lt_compile\"" >&5)
     15819   (eval echo "\"\$as_me:15819: $lt_compile\"" >&5)
    1585815820   (eval "$lt_compile" 2>conftest.err)
    1585915821   ac_status=$?
    1586015822   cat conftest.err >&5
    15861    echo "$as_me:15861: \$? = $ac_status" >&5
     15823   echo "$as_me:15823: \$? = $ac_status" >&5
    1586215824   if (exit $ac_status) && test -s "$ac_outfile"; then
    1586315825     # The compiler can only warn and ignore the option if not recognized
     
    1591515877   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1591615878   -e 's:$: $lt_compiler_flag:'`
    15917    (eval echo "\"\$as_me:15917: $lt_compile\"" >&5)
     15879   (eval echo "\"\$as_me:15879: $lt_compile\"" >&5)
    1591815880   (eval "$lt_compile" 2>out/conftest.err)
    1591915881   ac_status=$?
    1592015882   cat out/conftest.err >&5
    15921    echo "$as_me:15921: \$? = $ac_status" >&5
     15883   echo "$as_me:15883: \$? = $ac_status" >&5
    1592215884   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1592315885   then
     
    1724917211  case "$host_cpu" in
    1725017212  x86_64*|s390x*|powerpc64*)
    17251     echo '#line 17251 "configure"' > conftest.$ac_ext
     17213    echo '#line 17213 "configure"' > conftest.$ac_ext
    1725217214    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1725317215  (eval $ac_compile) 2>&5
     
    1812018082  lt_status=$lt_dlunknown
    1812118083  cat > conftest.$ac_ext <<EOF
    18122 #line 18122 "configure"
     18084#line 18084 "configure"
    1812318085#include "confdefs.h"
    1812418086
     
    1821818180  lt_status=$lt_dlunknown
    1821918181  cat > conftest.$ac_ext <<EOF
    18220 #line 18220 "configure"
     18182#line 18182 "configure"
    1822118183#include "confdefs.h"
    1822218184
     
    1923119193
    1923219194
     19195
     19196
     19197
     19198# Check whether --with-psLib or --without-psLib was given.
     19199if test "${with_psLib+set}" = set; then
     19200  withval="$with_psLib"
     19201
     19202CFLAGS="${CFLAGS=} -I$withval/include"
     19203LDFLAGS="${LDFLAGS=} -L$withval/lib"
     19204
     19205else
     19206
     19207CFLAGS="${CFLAGS=} -I$PSLIB_ROOT/include"
     19208LDFLAGS="${LDFLAGS=} -L$PSLIB_ROOT/lib"
     19209
     19210fi;
     19211
     19212
     19213# Check whether --with-sla or --without-sla was given.
     19214if test "${with_sla+set}" = set; then
     19215  withval="$with_sla"
     19216
     19217CFLAGS="${CFLAGS=} -I$withval/include"
     19218LDFLAGS="${LDFLAGS=} -L$withval/lib"
     19219
     19220fi;
     19221
     19222
     19223# Check whether --with-cfitsio or --without-cfitsio was given.
     19224if test "${with_cfitsio+set}" = set; then
     19225  withval="$with_cfitsio"
     19226
     19227CFLAGS="${CFLAGS=} -I$withval/include"
     19228LDFLAGS="${LDFLAGS=} -L$withval/lib"
     19229
     19230fi;
     19231
     19232
     19233# Check whether --with-fftw3 or --without-fftw3 was given.
     19234if test "${with_fftw3+set}" = set; then
     19235  withval="$with_fftw3"
     19236
     19237CFLAGS="${CFLAGS=} -I$withval/include"
     19238LDFLAGS="${LDFLAGS=} -L$withval/lib"
     19239
     19240fi;
     19241
     19242
     19243# Check whether --with-gsl or --without-gsl was given.
     19244if test "${with_gsl+set}" = set; then
     19245  withval="$with_gsl"
     19246
     19247# Extract the first word of "$withval/bin/gsl-config", so it can be a program name with args.
     19248set dummy $withval/bin/gsl-config; ac_word=$2
     19249echo "$as_me:$LINENO: checking for $ac_word" >&5
     19250echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     19251if test "${ac_cv_prog_GSL_CONFIG+set}" = set; then
     19252  echo $ECHO_N "(cached) $ECHO_C" >&6
     19253else
     19254  if test -n "$GSL_CONFIG"; then
     19255  ac_cv_prog_GSL_CONFIG="$GSL_CONFIG" # Let the user override the test.
     19256else
     19257as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     19258for as_dir in $PATH
     19259do
     19260  IFS=$as_save_IFS
     19261  test -z "$as_dir" && as_dir=.
     19262  for ac_exec_ext in '' $ac_executable_extensions; do
     19263  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     19264    ac_cv_prog_GSL_CONFIG="$withval/bin/gsl-config"
     19265    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     19266    break 2
     19267  fi
     19268done
     19269done
     19270
     19271fi
     19272fi
     19273GSL_CONFIG=$ac_cv_prog_GSL_CONFIG
     19274if test -n "$GSL_CONFIG"; then
     19275  echo "$as_me:$LINENO: result: $GSL_CONFIG" >&5
     19276echo "${ECHO_T}$GSL_CONFIG" >&6
     19277else
     19278  echo "$as_me:$LINENO: result: no" >&5
     19279echo "${ECHO_T}no" >&6
     19280fi
     19281
     19282
     19283else
     19284
     19285# Extract the first word of "gsl-config", so it can be a program name with args.
     19286set dummy gsl-config; ac_word=$2
     19287echo "$as_me:$LINENO: checking for $ac_word" >&5
     19288echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     19289if test "${ac_cv_prog_GSL_CONFIG+set}" = set; then
     19290  echo $ECHO_N "(cached) $ECHO_C" >&6
     19291else
     19292  if test -n "$GSL_CONFIG"; then
     19293  ac_cv_prog_GSL_CONFIG="$GSL_CONFIG" # Let the user override the test.
     19294else
     19295as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     19296for as_dir in $PATH
     19297do
     19298  IFS=$as_save_IFS
     19299  test -z "$as_dir" && as_dir=.
     19300  for ac_exec_ext in '' $ac_executable_extensions; do
     19301  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     19302    ac_cv_prog_GSL_CONFIG="`which gsl-config`"
     19303    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     19304    break 2
     19305  fi
     19306done
     19307done
     19308
     19309fi
     19310fi
     19311GSL_CONFIG=$ac_cv_prog_GSL_CONFIG
     19312if test -n "$GSL_CONFIG"; then
     19313  echo "$as_me:$LINENO: result: $GSL_CONFIG" >&5
     19314echo "${ECHO_T}$GSL_CONFIG" >&6
     19315else
     19316  echo "$as_me:$LINENO: result: no" >&5
     19317echo "${ECHO_T}no" >&6
     19318fi
     19319
     19320
     19321fi;
     19322if test "$GSL_CONFIG" != ""
     19323then
     19324    GSL_PREFIX="`${GSL_CONFIG} --prefix`"
     19325    GSL_LIBS="`${GSL_CONFIG} --libs`"
     19326    LDFLAGS="${LDFLAGS=} -L$GSL_PREFIX/lib$GSL_LIBS"
     19327    CFLAGS="${CFLAGS=} -I$GSL_PREFIX/include"
     19328fi
     19329
     19330
     19331echo "$as_me:$LINENO: checking for main in -lsla" >&5
     19332echo $ECHO_N "checking for main in -lsla... $ECHO_C" >&6
     19333if test "${ac_cv_lib_sla_main+set}" = set; then
     19334  echo $ECHO_N "(cached) $ECHO_C" >&6
     19335else
     19336  ac_check_lib_save_LIBS=$LIBS
     19337LIBS="-lsla  $LIBS"
     19338cat >conftest.$ac_ext <<_ACEOF
     19339/* confdefs.h.  */
     19340_ACEOF
     19341cat confdefs.h >>conftest.$ac_ext
     19342cat >>conftest.$ac_ext <<_ACEOF
     19343/* end confdefs.h.  */
     19344
     19345
     19346int
     19347main ()
     19348{
     19349main ();
     19350  ;
     19351  return 0;
     19352}
     19353_ACEOF
     19354rm -f conftest.$ac_objext conftest$ac_exeext
     19355if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     19356  (eval $ac_link) 2>conftest.er1
     19357  ac_status=$?
     19358  grep -v '^ *+' conftest.er1 >conftest.err
     19359  rm -f conftest.er1
     19360  cat conftest.err >&5
     19361  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19362  (exit $ac_status); } &&
     19363         { ac_try='test -z "$ac_c_werror_flag"
     19364                         || test ! -s conftest.err'
     19365  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19366  (eval $ac_try) 2>&5
     19367  ac_status=$?
     19368  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19369  (exit $ac_status); }; } &&
     19370         { ac_try='test -s conftest$ac_exeext'
     19371  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19372  (eval $ac_try) 2>&5
     19373  ac_status=$?
     19374  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19375  (exit $ac_status); }; }; then
     19376  ac_cv_lib_sla_main=yes
     19377else
     19378  echo "$as_me: failed program was:" >&5
     19379sed 's/^/| /' conftest.$ac_ext >&5
     19380
     19381ac_cv_lib_sla_main=no
     19382fi
     19383rm -f conftest.err conftest.$ac_objext \
     19384      conftest$ac_exeext conftest.$ac_ext
     19385LIBS=$ac_check_lib_save_LIBS
     19386fi
     19387echo "$as_me:$LINENO: result: $ac_cv_lib_sla_main" >&5
     19388echo "${ECHO_T}$ac_cv_lib_sla_main" >&6
     19389if test $ac_cv_lib_sla_main = yes; then
     19390  cat >>confdefs.h <<_ACEOF
     19391#define HAVE_LIBSLA 1
     19392_ACEOF
     19393
     19394  LIBS="-lsla $LIBS"
     19395
     19396else
     19397  { { echo "$as_me:$LINENO: error: SLA library required" >&5
     19398echo "$as_me: error: SLA library required" >&2;}
     19399   { (exit 1); exit 1; }; }
     19400fi
     19401
     19402
     19403echo "$as_me:$LINENO: checking for main in -lcfitsio" >&5
     19404echo $ECHO_N "checking for main in -lcfitsio... $ECHO_C" >&6
     19405if test "${ac_cv_lib_cfitsio_main+set}" = set; then
     19406  echo $ECHO_N "(cached) $ECHO_C" >&6
     19407else
     19408  ac_check_lib_save_LIBS=$LIBS
     19409LIBS="-lcfitsio  $LIBS"
     19410cat >conftest.$ac_ext <<_ACEOF
     19411/* confdefs.h.  */
     19412_ACEOF
     19413cat confdefs.h >>conftest.$ac_ext
     19414cat >>conftest.$ac_ext <<_ACEOF
     19415/* end confdefs.h.  */
     19416
     19417
     19418int
     19419main ()
     19420{
     19421main ();
     19422  ;
     19423  return 0;
     19424}
     19425_ACEOF
     19426rm -f conftest.$ac_objext conftest$ac_exeext
     19427if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     19428  (eval $ac_link) 2>conftest.er1
     19429  ac_status=$?
     19430  grep -v '^ *+' conftest.er1 >conftest.err
     19431  rm -f conftest.er1
     19432  cat conftest.err >&5
     19433  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19434  (exit $ac_status); } &&
     19435         { ac_try='test -z "$ac_c_werror_flag"
     19436                         || test ! -s conftest.err'
     19437  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19438  (eval $ac_try) 2>&5
     19439  ac_status=$?
     19440  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19441  (exit $ac_status); }; } &&
     19442         { ac_try='test -s conftest$ac_exeext'
     19443  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19444  (eval $ac_try) 2>&5
     19445  ac_status=$?
     19446  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19447  (exit $ac_status); }; }; then
     19448  ac_cv_lib_cfitsio_main=yes
     19449else
     19450  echo "$as_me: failed program was:" >&5
     19451sed 's/^/| /' conftest.$ac_ext >&5
     19452
     19453ac_cv_lib_cfitsio_main=no
     19454fi
     19455rm -f conftest.err conftest.$ac_objext \
     19456      conftest$ac_exeext conftest.$ac_ext
     19457LIBS=$ac_check_lib_save_LIBS
     19458fi
     19459echo "$as_me:$LINENO: result: $ac_cv_lib_cfitsio_main" >&5
     19460echo "${ECHO_T}$ac_cv_lib_cfitsio_main" >&6
     19461if test $ac_cv_lib_cfitsio_main = yes; then
     19462  cat >>confdefs.h <<_ACEOF
     19463#define HAVE_LIBCFITSIO 1
     19464_ACEOF
     19465
     19466  LIBS="-lcfitsio $LIBS"
     19467
     19468else
     19469  { { echo "$as_me:$LINENO: error: CFITSIO library required" >&5
     19470echo "$as_me: error: CFITSIO library required" >&2;}
     19471   { (exit 1); exit 1; }; }
     19472fi
     19473
     19474
     19475echo "$as_me:$LINENO: checking for main in -lfftw3f" >&5
     19476echo $ECHO_N "checking for main in -lfftw3f... $ECHO_C" >&6
     19477if test "${ac_cv_lib_fftw3f_main+set}" = set; then
     19478  echo $ECHO_N "(cached) $ECHO_C" >&6
     19479else
     19480  ac_check_lib_save_LIBS=$LIBS
     19481LIBS="-lfftw3f  $LIBS"
     19482cat >conftest.$ac_ext <<_ACEOF
     19483/* confdefs.h.  */
     19484_ACEOF
     19485cat confdefs.h >>conftest.$ac_ext
     19486cat >>conftest.$ac_ext <<_ACEOF
     19487/* end confdefs.h.  */
     19488
     19489
     19490int
     19491main ()
     19492{
     19493main ();
     19494  ;
     19495  return 0;
     19496}
     19497_ACEOF
     19498rm -f conftest.$ac_objext conftest$ac_exeext
     19499if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     19500  (eval $ac_link) 2>conftest.er1
     19501  ac_status=$?
     19502  grep -v '^ *+' conftest.er1 >conftest.err
     19503  rm -f conftest.er1
     19504  cat conftest.err >&5
     19505  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19506  (exit $ac_status); } &&
     19507         { ac_try='test -z "$ac_c_werror_flag"
     19508                         || test ! -s conftest.err'
     19509  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19510  (eval $ac_try) 2>&5
     19511  ac_status=$?
     19512  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19513  (exit $ac_status); }; } &&
     19514         { ac_try='test -s conftest$ac_exeext'
     19515  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19516  (eval $ac_try) 2>&5
     19517  ac_status=$?
     19518  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19519  (exit $ac_status); }; }; then
     19520  ac_cv_lib_fftw3f_main=yes
     19521else
     19522  echo "$as_me: failed program was:" >&5
     19523sed 's/^/| /' conftest.$ac_ext >&5
     19524
     19525ac_cv_lib_fftw3f_main=no
     19526fi
     19527rm -f conftest.err conftest.$ac_objext \
     19528      conftest$ac_exeext conftest.$ac_ext
     19529LIBS=$ac_check_lib_save_LIBS
     19530fi
     19531echo "$as_me:$LINENO: result: $ac_cv_lib_fftw3f_main" >&5
     19532echo "${ECHO_T}$ac_cv_lib_fftw3f_main" >&6
     19533if test $ac_cv_lib_fftw3f_main = yes; then
     19534  cat >>confdefs.h <<_ACEOF
     19535#define HAVE_LIBFFTW3F 1
     19536_ACEOF
     19537
     19538  LIBS="-lfftw3f $LIBS"
     19539
     19540else
     19541  { { echo "$as_me:$LINENO: error: FFTW3 library required" >&5
     19542echo "$as_me: error: FFTW3 library required" >&2;}
     19543   { (exit 1); exit 1; }; }
     19544fi
     19545
     19546
     19547echo "$as_me:$LINENO: checking for main in -lgsl" >&5
     19548echo $ECHO_N "checking for main in -lgsl... $ECHO_C" >&6
     19549if test "${ac_cv_lib_gsl_main+set}" = set; then
     19550  echo $ECHO_N "(cached) $ECHO_C" >&6
     19551else
     19552  ac_check_lib_save_LIBS=$LIBS
     19553LIBS="-lgsl  $LIBS"
     19554cat >conftest.$ac_ext <<_ACEOF
     19555/* confdefs.h.  */
     19556_ACEOF
     19557cat confdefs.h >>conftest.$ac_ext
     19558cat >>conftest.$ac_ext <<_ACEOF
     19559/* end confdefs.h.  */
     19560
     19561
     19562int
     19563main ()
     19564{
     19565main ();
     19566  ;
     19567  return 0;
     19568}
     19569_ACEOF
     19570rm -f conftest.$ac_objext conftest$ac_exeext
     19571if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     19572  (eval $ac_link) 2>conftest.er1
     19573  ac_status=$?
     19574  grep -v '^ *+' conftest.er1 >conftest.err
     19575  rm -f conftest.er1
     19576  cat conftest.err >&5
     19577  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19578  (exit $ac_status); } &&
     19579         { ac_try='test -z "$ac_c_werror_flag"
     19580                         || test ! -s conftest.err'
     19581  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19582  (eval $ac_try) 2>&5
     19583  ac_status=$?
     19584  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19585  (exit $ac_status); }; } &&
     19586         { ac_try='test -s conftest$ac_exeext'
     19587  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19588  (eval $ac_try) 2>&5
     19589  ac_status=$?
     19590  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19591  (exit $ac_status); }; }; then
     19592  ac_cv_lib_gsl_main=yes
     19593else
     19594  echo "$as_me: failed program was:" >&5
     19595sed 's/^/| /' conftest.$ac_ext >&5
     19596
     19597ac_cv_lib_gsl_main=no
     19598fi
     19599rm -f conftest.err conftest.$ac_objext \
     19600      conftest$ac_exeext conftest.$ac_ext
     19601LIBS=$ac_check_lib_save_LIBS
     19602fi
     19603echo "$as_me:$LINENO: result: $ac_cv_lib_gsl_main" >&5
     19604echo "${ECHO_T}$ac_cv_lib_gsl_main" >&6
     19605if test $ac_cv_lib_gsl_main = yes; then
     19606  cat >>confdefs.h <<_ACEOF
     19607#define HAVE_LIBGSL 1
     19608_ACEOF
     19609
     19610  LIBS="-lgsl $LIBS"
     19611
     19612else
     19613  { { echo "$as_me:$LINENO: error: GSL library required" >&5
     19614echo "$as_me: error: GSL library required" >&2;}
     19615   { (exit 1); exit 1; }; }
     19616fi
     19617
     19618
     19619echo "$as_me:$LINENO: checking for main in -lgslcblas" >&5
     19620echo $ECHO_N "checking for main in -lgslcblas... $ECHO_C" >&6
     19621if test "${ac_cv_lib_gslcblas_main+set}" = set; then
     19622  echo $ECHO_N "(cached) $ECHO_C" >&6
     19623else
     19624  ac_check_lib_save_LIBS=$LIBS
     19625LIBS="-lgslcblas  $LIBS"
     19626cat >conftest.$ac_ext <<_ACEOF
     19627/* confdefs.h.  */
     19628_ACEOF
     19629cat confdefs.h >>conftest.$ac_ext
     19630cat >>conftest.$ac_ext <<_ACEOF
     19631/* end confdefs.h.  */
     19632
     19633
     19634int
     19635main ()
     19636{
     19637main ();
     19638  ;
     19639  return 0;
     19640}
     19641_ACEOF
     19642rm -f conftest.$ac_objext conftest$ac_exeext
     19643if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     19644  (eval $ac_link) 2>conftest.er1
     19645  ac_status=$?
     19646  grep -v '^ *+' conftest.er1 >conftest.err
     19647  rm -f conftest.er1
     19648  cat conftest.err >&5
     19649  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19650  (exit $ac_status); } &&
     19651         { ac_try='test -z "$ac_c_werror_flag"
     19652                         || test ! -s conftest.err'
     19653  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19654  (eval $ac_try) 2>&5
     19655  ac_status=$?
     19656  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19657  (exit $ac_status); }; } &&
     19658         { ac_try='test -s conftest$ac_exeext'
     19659  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19660  (eval $ac_try) 2>&5
     19661  ac_status=$?
     19662  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19663  (exit $ac_status); }; }; then
     19664  ac_cv_lib_gslcblas_main=yes
     19665else
     19666  echo "$as_me: failed program was:" >&5
     19667sed 's/^/| /' conftest.$ac_ext >&5
     19668
     19669ac_cv_lib_gslcblas_main=no
     19670fi
     19671rm -f conftest.err conftest.$ac_objext \
     19672      conftest$ac_exeext conftest.$ac_ext
     19673LIBS=$ac_check_lib_save_LIBS
     19674fi
     19675echo "$as_me:$LINENO: result: $ac_cv_lib_gslcblas_main" >&5
     19676echo "${ECHO_T}$ac_cv_lib_gslcblas_main" >&6
     19677if test $ac_cv_lib_gslcblas_main = yes; then
     19678  cat >>confdefs.h <<_ACEOF
     19679#define HAVE_LIBGSLCBLAS 1
     19680_ACEOF
     19681
     19682  LIBS="-lgslcblas $LIBS"
     19683
     19684else
     19685  { { echo "$as_me:$LINENO: error: GSL CBLAS library required" >&5
     19686echo "$as_me: error: GSL CBLAS library required" >&2;}
     19687   { (exit 1); exit 1; }; }
     19688fi
     19689
     19690
     19691echo "$as_me:$LINENO: checking for main in -lpslib" >&5
     19692echo $ECHO_N "checking for main in -lpslib... $ECHO_C" >&6
     19693if test "${ac_cv_lib_pslib_main+set}" = set; then
     19694  echo $ECHO_N "(cached) $ECHO_C" >&6
     19695else
     19696  ac_check_lib_save_LIBS=$LIBS
     19697LIBS="-lpslib  $LIBS"
     19698cat >conftest.$ac_ext <<_ACEOF
     19699/* confdefs.h.  */
     19700_ACEOF
     19701cat confdefs.h >>conftest.$ac_ext
     19702cat >>conftest.$ac_ext <<_ACEOF
     19703/* end confdefs.h.  */
     19704
     19705
     19706int
     19707main ()
     19708{
     19709main ();
     19710  ;
     19711  return 0;
     19712}
     19713_ACEOF
     19714rm -f conftest.$ac_objext conftest$ac_exeext
     19715if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     19716  (eval $ac_link) 2>conftest.er1
     19717  ac_status=$?
     19718  grep -v '^ *+' conftest.er1 >conftest.err
     19719  rm -f conftest.er1
     19720  cat conftest.err >&5
     19721  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19722  (exit $ac_status); } &&
     19723         { ac_try='test -z "$ac_c_werror_flag"
     19724                         || test ! -s conftest.err'
     19725  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19726  (eval $ac_try) 2>&5
     19727  ac_status=$?
     19728  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19729  (exit $ac_status); }; } &&
     19730         { ac_try='test -s conftest$ac_exeext'
     19731  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19732  (eval $ac_try) 2>&5
     19733  ac_status=$?
     19734  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19735  (exit $ac_status); }; }; then
     19736  ac_cv_lib_pslib_main=yes
     19737else
     19738  echo "$as_me: failed program was:" >&5
     19739sed 's/^/| /' conftest.$ac_ext >&5
     19740
     19741ac_cv_lib_pslib_main=no
     19742fi
     19743rm -f conftest.err conftest.$ac_objext \
     19744      conftest$ac_exeext conftest.$ac_ext
     19745LIBS=$ac_check_lib_save_LIBS
     19746fi
     19747echo "$as_me:$LINENO: result: $ac_cv_lib_pslib_main" >&5
     19748echo "${ECHO_T}$ac_cv_lib_pslib_main" >&6
     19749if test $ac_cv_lib_pslib_main = yes; then
     19750  cat >>confdefs.h <<_ACEOF
     19751#define HAVE_LIBPSLIB 1
     19752_ACEOF
     19753
     19754  LIBS="-lpslib $LIBS"
     19755
     19756else
     19757  { { echo "$as_me:$LINENO: error: psLib library required" >&5
     19758echo "$as_me: error: psLib library required" >&2;}
     19759   { (exit 1); exit 1; }; }
     19760fi
    1923319761
    1923419762
     
    1994220470s,@ac_ct_F77@,$ac_ct_F77,;t t
    1994320471s,@LIBTOOL@,$LIBTOOL,;t t
     20472s,@GSL_CONFIG@,$GSL_CONFIG,;t t
    1994420473s,@LIBOBJS@,$LIBOBJS,;t t
    1994520474s,@LTLIBOBJS@,$LTLIBOBJS,;t t
  • trunk/psModules/configure.in

    r1777 r1786  
    44AM_INIT_AUTOMAKE(psModule, 0.1)
    55
    6 AC_LANG_C
     6AC_LANG(C)
    77AC_PROG_CC
     8
     9dnl AC_SUBST(LDFLAGS)
     10AC_SUBST(CFLAGS)
    811
    912CFLAGS="${CFLAGS=} -g2 -Wall -std=c99 -D_GNU_SOURCE"
    1013
     14AC_PROG_INSTALL
     15AM_PROG_LIBTOOL
     16
    1117AC_ARG_WITH(psLib,
    12 [  --with-psLib            Specify location of psLib files],[
    13 CFLAGS="$CFLAGS -I$withval/include"
    14 LDFLAGS="$LDFLAGS -L$withval/lib"
    15 psLib_prefix=$withval
     18[  --with-psLib=DIR        Specify location of psLib files],[
     19CFLAGS="${CFLAGS=} -I$withval/include"
     20LDFLAGS="${LDFLAGS=} -L$withval/lib"
     21],[
     22CFLAGS="${CFLAGS=} -I$PSLIB_ROOT/include"
     23LDFLAGS="${LDFLAGS=} -L$PSLIB_ROOT/lib"
    1624])
    1725
    1826AC_ARG_WITH(sla,
    19 [  --with-sla              Specify location of SLA.],[
    20 CFLAGS="$CFLAGS -I$withval/include"
    21 SLA_LINK = `$withval/bin/sla_link`
    22 LDFLAGS="$LDFLAGS $SLA_LINK"
    23 psLib_prefix=$withval
     27[  --with-sla=DIR          Specify location of SLA.],[
     28CFLAGS="${CFLAGS=} -I$withval/include"
     29LDFLAGS="${LDFLAGS=} -L$withval/lib"
    2430])
    2531
    26 AC_ARG_WITH(psLib-includes, [  --with-psLib-includes   Specify location of psLib header files], \
    27     CFLAGS="$CFLAGS -I$withval")
     32AC_ARG_WITH(cfitsio,
     33[  --with-cfitsio=DIR      Specify location of CFITSIO.],[
     34CFLAGS="${CFLAGS=} -I$withval/include"
     35LDFLAGS="${LDFLAGS=} -L$withval/lib"
     36])
    2837
    29 AC_ARG_WITH(psLib-lib, [  --with-psLib-lib        Specify location of psLib library file], \
    30     LDFLAGS="$LDFLAGS -L$withval")
     38AC_ARG_WITH(fftw3,
     39[  --with-fftw3=DIR        Specify location of FFTW version 3.],[
     40CFLAGS="${CFLAGS=} -I$withval/include"
     41LDFLAGS="${LDFLAGS=} -L$withval/lib"
     42])
    3143
     44AC_ARG_WITH(gsl,
     45[  --with-gsl=DIR          Specify location of GSL.],[
     46AC_CHECK_PROG(GSL_CONFIG, $withval/bin/gsl-config, $withval/bin/gsl-config)
     47],[
     48AC_CHECK_PROG(GSL_CONFIG, gsl-config, `which gsl-config`)
     49])
     50if test "$GSL_CONFIG" != ""
     51then
     52    GSL_PREFIX="`${GSL_CONFIG} --prefix`"
     53    GSL_LIBS="`${GSL_CONFIG} --libs`"
     54    LDFLAGS="${LDFLAGS=} -L$GSL_PREFIX/lib$GSL_LIBS"
     55    CFLAGS="${CFLAGS=} -I$GSL_PREFIX/include"
     56fi
    3257
    33 AC_PROG_INSTALL
    34 
    35 AM_PROG_LIBTOOL
     58dnl Check the libraries to see if they exist, etc.
     59AC_CHECK_LIB(sla,main,,AC_MSG_ERROR(SLA library required))
     60AC_CHECK_LIB(cfitsio,main,,AC_MSG_ERROR(CFITSIO library required))
     61AC_CHECK_LIB(fftw3f,main,,AC_MSG_ERROR(FFTW3 library required))
     62AC_CHECK_LIB(gsl,main,,AC_MSG_ERROR(GSL library required))
     63AC_CHECK_LIB(gslcblas,main,,AC_MSG_ERROR(GSL CBLAS library required))
     64AC_CHECK_LIB(pslib,main,,AC_MSG_ERROR(psLib library required))
    3665
    3766AC_OUTPUT(Makefile src/Makefile)
  • trunk/psModules/psmodule.kdevelop

    r1777 r1786  
    1111      <keyword>Code</keyword>
    1212    </keywords>
     13    <projectdirectory>.</projectdirectory>
     14    <absoluteprojectpath>false</absoluteprojectpath>
     15    <description></description>
     16    <ignoreparts/>
     17    <secondaryLanguages/>
    1318  </general>
    1419  <kdevautoproject>
     
    1823    </general>
    1924    <run>
    20       <mainprogram>src/psmodule</mainprogram>
     25      <mainprogram>src/tst_pmFlatField</mainprogram>
    2126      <terminal>true</terminal>
    2227      <directoryradio>executable</directoryradio>
     28      <customdirectory>/</customdirectory>
     29      <programargs></programargs>
     30      <autocompile>true</autocompile>
     31      <envvars/>
    2332    </run>
    2433    <configurations>
     
    4453        <envvar value="1" name="WANT_AUTOMAKE_1_6" />
    4554      </envvars>
     55      <abortonerror>false</abortonerror>
     56      <numberofjobs>1</numberofjobs>
     57      <dontact>false</dontact>
     58      <makebin></makebin>
    4659    </make>
    4760  </kdevautoproject>
     
    93106      <toc>KDE Libraries (Doxygen)</toc>
    94107    </ignoredoxygen>
     108    <projectdoc>
     109      <userdocDir>html/</userdocDir>
     110      <apidocDir>html/</apidocDir>
     111    </projectdoc>
     112    <ignorekdocs/>
     113    <ignoredevhelp/>
    95114  </kdevdoctreeview>
    96115  <kdevfilecreate>
     116    <filetypes/>
    97117    <useglobaltypes>
    98118      <type ext="c" />
     
    127147    </codecompletion>
    128148  </kdevcppsupport>
     149  <cppsupportpart>
     150    <filetemplates>
     151      <interfacesuffix>.h</interfacesuffix>
     152      <implementationsuffix>.cpp</implementationsuffix>
     153    </filetemplates>
     154  </cppsupportpart>
     155  <kdevdebugger>
     156    <general>
     157      <programargs></programargs>
     158      <gdbpath></gdbpath>
     159      <dbgshell></dbgshell>
     160      <configGdbScript></configGdbScript>
     161      <runShellScript></runShellScript>
     162      <runGdbScript></runGdbScript>
     163      <breakonloadinglibs>true</breakonloadinglibs>
     164      <separatetty>false</separatetty>
     165      <floatingtoolbar>false</floatingtoolbar>
     166    </general>
     167    <display>
     168      <staticmembers>false</staticmembers>
     169      <demanglenames>true</demanglenames>
     170    </display>
     171  </kdevdebugger>
    129172</kdevelop>
  • trunk/psModules/src/Makefile.am

    r1777 r1786  
    1 lib_LTLIBRARIES = libpsmodule.la
     1lib_LIBRARIES = libpsmodule.a
    22bin_PROGRAMS = tst_pmFlatField
    33
    4 libpsmodule_la_SOURCES = pmFlatField.c
    5 libpsmodule_la_HEADERS =  pmFlatField.h
    6 libpsmodule_ladir = .
     4libpsmodule_a_SOURCES = pmFlatField.c
     5libpsmodule_a_HEADERS =  pmFlatField.h
     6libpsmodule_adir = .
    77
    88
    99tst_pmFlatField_SOURCES = tst_pmFlatField.c
    10 tst_pmFlatField_LDFLAGS = -lpsmodule -lpslib -lcfitsio -lgsl -lgslcblas -lfftw3f -lsla
     10tst_pmFlatField_LDFLAGS = libpsmodule.a
  • trunk/psModules/src/Makefile.in

    r1779 r1786  
    1717
    1818
    19 SOURCES = $(libpsmodule_la_SOURCES) $(tst_pmFlatField_SOURCES)
     19SOURCES = $(libpsmodule_a_SOURCES) $(tst_pmFlatField_SOURCES)
    2020
    2121srcdir = @srcdir@
     
    4242bin_PROGRAMS = tst_pmFlatField$(EXEEXT)
    4343subdir = src
    44 DIST_COMMON = $(libpsmodule_la_HEADERS) $(srcdir)/Makefile.am \
     44DIST_COMMON = $(libpsmodule_a_HEADERS) $(srcdir)/Makefile.am \
    4545        $(srcdir)/Makefile.in $(srcdir)/config.h.in
    4646ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     
    5151CONFIG_HEADER = config.h
    5252CONFIG_CLEAN_FILES =
    53 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libpsmodule_ladir)"
    54 libLTLIBRARIES_INSTALL = $(INSTALL)
    55 LTLIBRARIES = $(lib_LTLIBRARIES)
    56 libpsmodule_la_LIBADD =
    57 am_libpsmodule_la_OBJECTS = pmFlatField.lo
    58 libpsmodule_la_OBJECTS = $(am_libpsmodule_la_OBJECTS)
     53ARFLAGS = cru
     54am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libpsmodule_adir)"
     55libLIBRARIES_INSTALL = $(INSTALL_DATA)
     56LIBRARIES = $(lib_LIBRARIES)
     57libpsmodule_a_AR = $(AR) $(ARFLAGS)
     58libpsmodule_a_LIBADD =
     59am_libpsmodule_a_OBJECTS = pmFlatField.$(OBJEXT)
     60libpsmodule_a_OBJECTS = $(am_libpsmodule_a_OBJECTS)
    5961binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
    6062PROGRAMS = $(bin_PROGRAMS)
     
    6567depcomp = $(SHELL) $(top_srcdir)/depcomp
    6668am__depfiles_maybe = depfiles
    67 @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/pmFlatField.Plo \
     69@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/pmFlatField.Po \
    6870@AMDEP_TRUE@    ./$(DEPDIR)/tst_pmFlatField.Po
    6971COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
     
    7577LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
    7678        $(AM_LDFLAGS) $(LDFLAGS) -o $@
    77 SOURCES = $(libpsmodule_la_SOURCES) $(tst_pmFlatField_SOURCES)
    78 DIST_SOURCES = $(libpsmodule_la_SOURCES) $(tst_pmFlatField_SOURCES)
    79 libpsmodule_laHEADERS_INSTALL = $(INSTALL_HEADER)
    80 HEADERS = $(libpsmodule_la_HEADERS)
     79SOURCES = $(libpsmodule_a_SOURCES) $(tst_pmFlatField_SOURCES)
     80DIST_SOURCES = $(libpsmodule_a_SOURCES) $(tst_pmFlatField_SOURCES)
     81libpsmodule_aHEADERS_INSTALL = $(INSTALL_HEADER)
     82HEADERS = $(libpsmodule_a_HEADERS)
    8183ETAGS = etags
    8284CTAGS = ctags
     
    111113F77 = @F77@
    112114FFLAGS = @FFLAGS@
     115GSL_CONFIG = @GSL_CONFIG@
    113116INSTALL_DATA = @INSTALL_DATA@
    114117INSTALL_PROGRAM = @INSTALL_PROGRAM@
     
    176179sysconfdir = @sysconfdir@
    177180target_alias = @target_alias@
    178 lib_LTLIBRARIES = libpsmodule.la
    179 libpsmodule_la_SOURCES = pmFlatField.c
    180 libpsmodule_la_HEADERS = pmFlatField.h
    181 libpsmodule_ladir = .
     181lib_LIBRARIES = libpsmodule.a
     182libpsmodule_a_SOURCES = pmFlatField.c
     183libpsmodule_a_HEADERS = pmFlatField.h
     184libpsmodule_adir = .
    182185tst_pmFlatField_SOURCES = tst_pmFlatField.c
    183 tst_pmFlatField_LDFLAGS = -lpsmodule -lpslib -lcfitsio -lgsl -lgslcblas -lfftw3f -lsla
     186tst_pmFlatField_LDFLAGS = libpsmodule.a
    184187all: config.h
    185188        $(MAKE) $(AM_MAKEFLAGS) all-am
     
    233236distclean-hdr:
    234237        -rm -f config.h stamp-h1
    235 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
     238install-libLIBRARIES: $(lib_LIBRARIES)
    236239        @$(NORMAL_INSTALL)
    237240        test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
    238         @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
     241        @list='$(lib_LIBRARIES)'; for p in $$list; do \
    239242          if test -f $$p; then \
    240243            f="`echo $$p | sed -e 's|^.*/||'`"; \
    241             echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
    242             $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
     244            echo " $(libLIBRARIES_INSTALL) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
     245            $(libLIBRARIES_INSTALL) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
    243246          else :; fi; \
    244247        done
    245 
    246 uninstall-libLTLIBRARIES:
     248        @$(POST_INSTALL)
     249        @list='$(lib_LIBRARIES)'; for p in $$list; do \
     250          if test -f $$p; then \
     251            p="`echo $$p | sed -e 's|^.*/||'`"; \
     252            echo " $(RANLIB) '$(DESTDIR)$(libdir)/$$p'"; \
     253            $(RANLIB) "$(DESTDIR)$(libdir)/$$p"; \
     254          else :; fi; \
     255        done
     256
     257uninstall-libLIBRARIES:
    247258        @$(NORMAL_UNINSTALL)
    248         @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
    249             p="`echo $$p | sed -e 's|^.*/||'`"; \
    250           echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
    251           $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
    252         done
    253 
    254 clean-libLTLIBRARIES:
    255         -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
    256         @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
    257           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
    258           test "$$dir" = "$$p" && dir=.; \
    259           echo "rm -f \"$${dir}/so_locations\""; \
    260           rm -f "$${dir}/so_locations"; \
    261         done
    262 libpsmodule.la: $(libpsmodule_la_OBJECTS) $(libpsmodule_la_DEPENDENCIES)
    263         $(LINK) -rpath $(libdir) $(libpsmodule_la_LDFLAGS) $(libpsmodule_la_OBJECTS) $(libpsmodule_la_LIBADD) $(LIBS)
     259        @list='$(lib_LIBRARIES)'; for p in $$list; do \
     260          p="`echo $$p | sed -e 's|^.*/||'`"; \
     261          echo " rm -f '$(DESTDIR)$(libdir)/$$p'"; \
     262          rm -f "$(DESTDIR)$(libdir)/$$p"; \
     263        done
     264
     265clean-libLIBRARIES:
     266        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
     267libpsmodule.a: $(libpsmodule_a_OBJECTS) $(libpsmodule_a_DEPENDENCIES)
     268        -rm -f libpsmodule.a
     269        $(libpsmodule_a_AR) libpsmodule.a $(libpsmodule_a_OBJECTS) $(libpsmodule_a_LIBADD)
     270        $(RANLIB) libpsmodule.a
    264271install-binPROGRAMS: $(bin_PROGRAMS)
    265272        @$(NORMAL_INSTALL)
     
    300307        -rm -f *.tab.c
    301308
    302 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pmFlatField.Plo@am__quote@
     309@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pmFlatField.Po@am__quote@
    303310@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tst_pmFlatField.Po@am__quote@
    304311
     
    336343        -rm -f libtool
    337344uninstall-info-am:
    338 install-libpsmodule_laHEADERS: $(libpsmodule_la_HEADERS)
     345install-libpsmodule_aHEADERS: $(libpsmodule_a_HEADERS)
    339346        @$(NORMAL_INSTALL)
    340         test -z "$(libpsmodule_ladir)" || $(mkdir_p) "$(DESTDIR)$(libpsmodule_ladir)"
    341         @list='$(libpsmodule_la_HEADERS)'; for p in $$list; do \
     347        test -z "$(libpsmodule_adir)" || $(mkdir_p) "$(DESTDIR)$(libpsmodule_adir)"
     348        @list='$(libpsmodule_a_HEADERS)'; for p in $$list; do \
    342349          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
    343350          f="`echo $$p | sed -e 's|^.*/||'`"; \
    344           echo " $(libpsmodule_laHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(libpsmodule_ladir)/$$f'"; \
    345           $(libpsmodule_laHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(libpsmodule_ladir)/$$f"; \
    346         done
    347 
    348 uninstall-libpsmodule_laHEADERS:
     351          echo " $(libpsmodule_aHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(libpsmodule_adir)/$$f'"; \
     352          $(libpsmodule_aHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(libpsmodule_adir)/$$f"; \
     353        done
     354
     355uninstall-libpsmodule_aHEADERS:
    349356        @$(NORMAL_UNINSTALL)
    350         @list='$(libpsmodule_la_HEADERS)'; for p in $$list; do \
     357        @list='$(libpsmodule_a_HEADERS)'; for p in $$list; do \
    351358          f="`echo $$p | sed -e 's|^.*/||'`"; \
    352           echo " rm -f '$(DESTDIR)$(libpsmodule_ladir)/$$f'"; \
    353           rm -f "$(DESTDIR)$(libpsmodule_ladir)/$$f"; \
     359          echo " rm -f '$(DESTDIR)$(libpsmodule_adir)/$$f'"; \
     360          rm -f "$(DESTDIR)$(libpsmodule_adir)/$$f"; \
    354361        done
    355362
     
    429436check-am: all-am
    430437check: check-am
    431 all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS) config.h
    432 install-binPROGRAMS: install-libLTLIBRARIES
    433 
     438all-am: Makefile $(LIBRARIES) $(PROGRAMS) $(HEADERS) config.h
    434439installdirs:
    435         for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libpsmodule_ladir)"; do \
     440        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libpsmodule_adir)"; do \
    436441          test -z "$$dir" || $(mkdir_p) "$$dir"; \
    437442        done
     
    462467clean: clean-am
    463468
    464 clean-am: clean-binPROGRAMS clean-generic clean-libLTLIBRARIES \
     469clean-am: clean-binPROGRAMS clean-generic clean-libLIBRARIES \
    465470        clean-libtool mostlyclean-am
    466471
     
    481486info-am:
    482487
    483 install-data-am: install-libpsmodule_laHEADERS
    484 
    485 install-exec-am: install-binPROGRAMS install-libLTLIBRARIES
     488install-data-am: install-libpsmodule_aHEADERS
     489
     490install-exec-am: install-binPROGRAMS install-libLIBRARIES
    486491
    487492install-info: install-info-am
     
    510515
    511516uninstall-am: uninstall-binPROGRAMS uninstall-info-am \
    512         uninstall-libLTLIBRARIES uninstall-libpsmodule_laHEADERS
     517        uninstall-libLIBRARIES uninstall-libpsmodule_aHEADERS
    513518
    514519.PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
    515         clean-generic clean-libLTLIBRARIES clean-libtool ctags \
    516         distclean distclean-compile distclean-generic distclean-hdr \
     520        clean-generic clean-libLIBRARIES clean-libtool ctags distclean \
     521        distclean-compile distclean-generic distclean-hdr \
    517522        distclean-libtool distclean-tags distdir dvi dvi-am html \
    518523        html-am info info-am install install-am install-binPROGRAMS \
    519524        install-data install-data-am install-exec install-exec-am \
    520         install-info install-info-am install-libLTLIBRARIES \
    521         install-libpsmodule_laHEADERS install-man install-strip \
     525        install-info install-info-am install-libLIBRARIES \
     526        install-libpsmodule_aHEADERS install-man install-strip \
    522527        installcheck installcheck-am installdirs maintainer-clean \
    523528        maintainer-clean-generic mostlyclean mostlyclean-compile \
    524529        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
    525530        tags uninstall uninstall-am uninstall-binPROGRAMS \
    526         uninstall-info-am uninstall-libLTLIBRARIES \
    527         uninstall-libpsmodule_laHEADERS
     531        uninstall-info-am uninstall-libLIBRARIES \
     532        uninstall-libpsmodule_aHEADERS
    528533
    529534# Tell versions [3.59,3.63) of GNU make to not export all variables.
  • trunk/psModules/src/config.h.in

    r1779 r1786  
    66/* Define to 1 if you have the <inttypes.h> header file. */
    77#undef HAVE_INTTYPES_H
     8
     9/* Define to 1 if you have the `cfitsio' library (-lcfitsio). */
     10#undef HAVE_LIBCFITSIO
     11
     12/* Define to 1 if you have the `fftw3f' library (-lfftw3f). */
     13#undef HAVE_LIBFFTW3F
     14
     15/* Define to 1 if you have the `gsl' library (-lgsl). */
     16#undef HAVE_LIBGSL
     17
     18/* Define to 1 if you have the `gslcblas' library (-lgslcblas). */
     19#undef HAVE_LIBGSLCBLAS
     20
     21/* Define to 1 if you have the `pslib' library (-lpslib). */
     22#undef HAVE_LIBPSLIB
     23
     24/* Define to 1 if you have the `sla' library (-lsla). */
     25#undef HAVE_LIBSLA
    826
    927/* Define to 1 if you have the <memory.h> header file. */
  • trunk/psModules/src/pmFlatField.c

    r1777 r1786  
    55 *  @author Robert DeSonia, MHPCC
    66 *
    7  *  @version $Revision: 1.1.1.1 $ $Name: not supported by cvs2svn $
    8  *  @date $Date: 2004-09-10 19:01:33 $
     7 *  @version $Revision: 1.2 $ $Name: not supported by cvs2svn $
     8 *  @date $Date: 2004-09-10 23:42:18 $
    99 *
    1010 *  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
     
    1919#include "pmFlatField.h"
    2020
    21 void pmFlatField(psVector* vector) 
     21void pmFlatField(psVector* vector)
    2222{
    2323    if (vector == NULL) {
     
    2525        return;
    2626    }
    27    
     27
    2828    for (int lcv=0;lcv<vector->n;lcv++) {
    2929        printf("%f\n",vector->data.F32[lcv]);
    3030    }
    31    
     31
    3232    return;
    33    
     33
    3434}
  • trunk/psModules/src/pmFlatField.h

    r1777 r1786  
    77 *  @author Robert DeSonia, MHPCC
    88 *
    9  *  @version $Revision: 1.1.1.1 $ $Name: not supported by cvs2svn $
    10  *  @date $Date: 2004-09-10 19:01:33 $
     9 *  @version $Revision: 1.2 $ $Name: not supported by cvs2svn $
     10 *  @date $Date: 2004-09-10 23:42:18 $
    1111 *
    1212 *  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
     
    1616
    1717void pmFlatField(psVector* test);
     18
Note: See TracChangeset for help on using the changeset viewer.